SDL_MouseWheelEvent Struct Reference

Mouse wheel event structure (event.wheel.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
Uint32 | which
Sint32 | x
Sint32 | y
Uint32 | direction

## Detailed Description

Mouse wheel event structure (event.wheel.*)

Definition at line 262 of file SDL_events.h.

## Field Documentation

Uint32 SDL_MouseWheelEvent::direction

Set to one of the SDL_MOUSEWHEEL_* defines. When FLIPPED the values in X and Y will be opposite. Multiply by -1 to change them back

Definition at line 270 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

Uint32 SDL_MouseWheelEvent::timestamp

Definition at line 265 of file SDL_events.h.

Uint32 SDL_MouseWheelEvent::type

SDL_MOUSEWHEEL

Definition at line 264 of file SDL_events.h.

Uint32 SDL_MouseWheelEvent::which

The mouse instance id, or SDL_TOUCH_MOUSEID

Definition at line 267 of file SDL_events.h.

Uint32 SDL_MouseWheelEvent::windowID

The window with mouse focus, if any

Definition at line 266 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

Sint32 SDL_MouseWheelEvent::x

The amount scrolled horizontally, positive to the right and negative to the left

Definition at line 268 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

Sint32 SDL_MouseWheelEvent::y

The amount scrolled vertically, positive away from the user and negative toward the user

Definition at line 269 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

The documentation for this struct was generated from the following file:

- include/SDL_events.h